package com.diagbot.util;

import com.diagbot.dto.NodeNeoDTO;

import java.math.BigDecimal;

public class NeoUtil {
    public static NodeNeoDTO updateNodeInfo(String name, String min, String max, String unit) {
        NodeNeoDTO nodeNeoDTO = new NodeNeoDTO();

        name = (null==name)?"":name;
        nodeNeoDTO.setName(name);

        if (null!=min) {
            nodeNeoDTO.setMin(new BigDecimal(min));
        }

        if (null!=max) {
            nodeNeoDTO.setMax(new BigDecimal(max));
        }

        unit = (null==unit)?"":unit;
        nodeNeoDTO.setUnit(unit);

        return nodeNeoDTO;
    }
}
